﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace LegoVezZobrazovac
{
    /// <summary>
    /// Interaction logic for LevelWindow.xaml
    /// </summary>
    public partial class LevelWindow : Window
    {
        public LevelWindow()
        {
            InitializeComponent();
        }

        private void ListBox_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            RectCanvas.Children.Clear();

            List<BrickInfo> bricks = new List<BrickInfo>();

            foreach (BrickInfo b in TowerInfo.Bricks)
            {
                if (b.Level == (int)e.AddedItems[0])
                {
                    bricks.Add(b);
                }
            }

            foreach (BrickInfo bi in bricks)
            {
                Rectangle r = new Rectangle();
                r.Width = bi.Width;
                r.Height = bi.Height;
                r.Fill = bi.ColorBrush;
                r.Stroke = Brushes.Black;
                r.StrokeThickness = 1;

                Canvas.SetLeft(r, bi.X - 1);
                Canvas.SetTop(r, bi.Y - 1);
                RectCanvas.Children.Add(r);
            }


        }
    }
}
