﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LegoVezZobrazovac
{
    static class TowerInfo
    {
        public static int Width;
        public static int Height;
        
        public static ObservableCollection<BrickInfo> Bricks = new ObservableCollection<BrickInfo>();
        public static ObservableCollection<BrickInfo> BrickStats = new ObservableCollection<BrickInfo>();
        public static ObservableCollection<int> Levels = new ObservableCollection<int>();

        static TowerInfo()
        {
            Bricks.CollectionChanged += (_, __) =>
            {
                BrickStats.Clear();
                
                Levels.Clear();
                Levels.Add(-1);
                
                Dictionary<string, BrickInfo> stats = new Dictionary<string, BrickInfo>();

                foreach (BrickInfo bi in Bricks)
                {
                    if (!stats.ContainsKey(bi.Key))
                    {
                        stats.Add(bi.Key, bi);
                    }

                    if (!Levels.Contains(bi.Level))
                    {
                        Levels.Add(bi.Level);
                    }

                    stats[bi.Key].Count++;
                }

                foreach (KeyValuePair<string, BrickInfo> statPair in stats)
                {
                    BrickStats.Add(statPair.Value);
                }

                
            };
        }

    }
}
