﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Text.RegularExpressions;
using System.Threading.Tasks;

namespace LegoVezZobrazovac
{
    class Helper
    {
        private static Regex r = new Regex("([^\\s]+)");
        
        public static string[] SplitLine(string input)
        {
            List<string> output = new List<string>();
            MatchCollection mc = r.Matches(input);

            if (mc.Count == 0)
            {
                return new string[0];
            }

            foreach (Match m in mc)
            {
                if (m.Value.Trim().Length > 0)
                {
                    output.Add(m.Value.Trim());
                }
            }

            return output.ToArray();
        }
    }
}
